MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000097Kolibri OS (trunk)[All Projects] Kernelpublic2015-02-24 17:102017-01-22 23:51
Reporterhidnplayr 
Assigned To 
PriorityhighSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in VersionSVN build / автосборка SVN 
Summary0000097: Kernel Hangs while trying to parse incorrect executable header.
DescriptionKernel Hangs while trying to parse an incorrect formatted executable header.
Steps To ReproduceCreate a binary with a header like this:

use32

                org 0x0

                db 'MENUET00' ; 8 byte id
                dd 38 ; required os
                dd START ; program start
                dd I_END ; program image size
                dd 0x2000 ; required amount of memory
                dd 0x2000 ; esp = 0x7FFF0
                dd 0x00000000 ; reserved=no extended header
TagsNo tags attached.
SVN revision / ревизия SVN
Type of distribution / Тип дистрибутиваany / любой
Attached Filespng file icon circle.png [^] (25,930 bytes) 2016-12-26 19:12

- Relationships

-  Notes
(0000192)
dunkaist (developer)
2016-12-26 19:16

Current kernel doesn't hang (see attachment). I didn't figure exact fix revision.

Circle demo was updated to have valid header.

- Issue History
Date Modified Username Field Change
2015-02-24 17:10 hidnplayr New Issue
2016-12-26 19:12 dunkaist File Added: circle.png
2016-12-26 19:16 dunkaist Note Added: 0000192
2016-12-26 19:16 dunkaist Status new => resolved
2016-12-26 19:16 dunkaist Fixed in Version => SVN build / автосборка SVN
2016-12-26 19:16 dunkaist Resolution open => fixed
2016-12-26 19:16 dunkaist Assigned To => dunkaist
2017-01-22 23:51 dunkaist Status resolved => closed
2017-01-22 23:51 dunkaist Assigned To dunkaist =>


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker